Obter detalhes de um usuário específico
curl --request POST \
--url https://api.olie.ai/api/management/get-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": null
}
'import requests
url = "https://api.olie.ai/api/management/get-user"
payload = { "user_id": None }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: null})
};
fetch('https://api.olie.ai/api/management/get-user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"user": {
"id": "9c2f1a54-0f3b-4d2e-8a1c-6e7b2d4f9a01",
"name": "Ana Souza",
"email": "[email protected]",
"lang": "pt-BR",
"description": "Designer de produto",
"is_partner": false,
"partner_approved_at": null,
"partner_approved_by": null,
"email_verified_at": "2026-01-04T12:00:00.000000Z",
"relationships": [
{
"id": "3d8e7c21-5b9a-4f6d-9c0e-1a2b3c4d5e6f",
"user_id": "9c2f1a54-0f3b-4d2e-8a1c-6e7b2d4f9a01",
"frame_id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"frame": {
"id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"name": "Empresa Exemplo",
"subdomain": "empresa"
},
"workdays": [
{
"id": "7f6e5d4c-3b2a-1908-7654-321fedcba098",
"weekday": 1,
"start_time": "09:00:00",
"end_time": "18:00:00"
}
]
}
],
"squads": [
{
"id": "2b3c4d5e-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"name": "Produto",
"pivot": {
"user_id": "9c2f1a54-0f3b-4d2e-8a1c-6e7b2d4f9a01",
"squad_id": "2b3c4d5e-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"type": "member"
}
}
],
"aliases": []
}
}users
Obter detalhes de um usuário específico
Retorna os dados de um usuário específico, incluindo seus vínculos (relationships) com frame e jornadas de trabalho, squads e aliases. Retorna response: false quando o usuário informado não é encontrado.
POST
/
api
/
management
/
get-user
Obter detalhes de um usuário específico
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID (UUID) do usuário a ser consultado. Deve pertencer ao frame atual.
Was this page helpful?
⌘I